osl::PieceTable Class Reference

`#include <pieceTable.h>`

## Public Member Functions

| PieceTable ()
Ptype | getPtypeOf (int num) const

## Static Public Member Functions

static bool | validNumber (int num)

## Private Member Functions

template<Ptype T>
void | initPtype ()

## Private Attributes

CArray< Ptype, Piece::SIZE > | ptypes

## Detailed Description

Definition at line 10 of file pieceTable.h.

## Constructor & Destructor Documentation

## PieceTable()

osl::PieceTable::PieceTable | ( |  | ) |

Definition at line 15 of file pieceTable.cc.

References initPtype().

## Member Function Documentation

## getPtypeOf()

Ptype osl::PieceTable::getPtypeOf | ( | int | num | ) | const

inline

Definition at line 18 of file pieceTable.h.

References ptypes, and validNumber().

## initPtype()

template<osl::Ptype T>

void osl::PieceTable::initPtype | ( |  | ) |

private

Definition at line 7 of file pieceTable.cc.

References ptypes.

Referenced by PieceTable().

## validNumber()

bool osl::PieceTable::validNumber | ( | int | num | ) |

inline static

Definition at line 22 of file pieceTable.h.

Referenced by getPtypeOf(), and osl::SimpleState::isConsistent().

## Member Data Documentation

## ptypes

CArray<Ptype, Piece::SIZE> osl::PieceTable::ptypes

private

Definition at line 13 of file pieceTable.h.

Referenced by getPtypeOf(), and initPtype().

The documentation for this class was generated from the following files:

- pieceTable.h
- pieceTable.cc